Package org.eclipse.emf.cdo.common.util

# Class CDOException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.emf.cdo.common.util.CDOException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AuthorizationException`, `CDOBranchDoesNotExistException`, `CDOClassNotFoundException`, `CDODuplicateBranchException`, `CDODuplicateResourceException`, `CDOMerger.ConflictException`, `CDOPackageNotFoundException`, `CDOResourceNodeNotFoundException`, `CDOSessionRecoveryException`, `CDOUnitManager.UnitExistsException`, `CDOUnitManager.UnitNotFoundException`, `CDOViewSet.CDOViewSetException`, `DanglingReferenceException`, `ILobCleanup.LobCleanupNotSupportedException`, `ILobRefsUpdater.LobRefsUpdateNotSupportedException`, `InvalidObjectException`, `InvalidURIException`, `ISchemaMigration.SchemaMigrationNotSupportedException`, `ISystemDescriptor.ChangeDeletionException`, `ISystemDescriptor.ModuleDeletionException`, `LockTimeoutException`, `ObjectNotFoundException`, `ReadOnlyException`, `RepositoryNotFoundException`, `ServerException`, `StaleRevisionLockException`, `TransportException`

public class CDOException extends RuntimeException
An unchecked exception for general CDO purposes.

Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CDOException()`
`CDOException(String message)`
`CDOException(String message, Throwable cause)`
`CDOException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CDOException

public CDOException()

### CDOException

public CDOException(String message)

### CDOException

public CDOException(Throwable cause)

### CDOException

public CDOException(String message, Throwable cause)